# Manually approve a route

Usually, the squid sdk will handle approvals, but if you want to manually approve the Squid smart contracts to use tokens for a route, you can use the below command that execute the `approveRoute` method with `ApproveRoute` object as argument and return a `boolean`.

Type: [Types](/old-v2-documentation-deprecated/key-concepts/types.md#approveroute)

```javascript
const isApproved = await squid.approveRoute({ signer, route })
```

This will approve `amount` or `infiniteAmount` of `fromToken` required to do the transfer. Once the tokens are approved, you can execute the route.

### Checking route approval

You can also check if the route has been approved using the following method that retrieves an object with `isApproved` and `message` properties

```typescript
const { isApproved, message } = await squid.isRouteApproved({ sender, route })
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.squidrouter.com/additional-resources/additional-dev-resources/sdk-easter-eggs/manually-approve-a-route.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
